Bug 90853 - TOOLBAR: 'Fill Color' drop down control doesnt set color in 'Area Style / Filling' drop down
Summary: TOOLBAR: 'Fill Color' drop down control doesnt set color in 'Area Style / Fil...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 111706 133319 (view as bug list)
Depends on:
Blocks: Split-Group-Buttons-Color
  Show dependency treegraph
 
Reported: 2015-04-25 02:20 UTC by Yousuf Philips (jay) (retired)
Modified: 2022-05-26 03:43 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-04-25 02:20:24 UTC
If you add the 'Fill Color' button (.uno:FillColor) to the 'Drawing Object Properties' toolbar in writer or the 'Line and Filling' toolbar in impress/draw, you will notice that if the 'Area Style / Filling' drop down (.uno:FormatArea) is set to anything else other than 'Color', then setting a color in 'Fill Color' will not work.

Version: 5.0.0.0.alpha1+
Build ID: badec7478035008f514e0976a94438fe2e32dc40
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-04-22_00:50:58
Comment 1 Yousuf Philips (jay) (retired) 2015-04-25 02:21:34 UTC
Sorry about that. :D
Comment 2 Buovjaga 2015-04-28 06:30:45 UTC
Reproduced.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+ (x64)
Build ID: f0edb677f09ad338e22ac3b5d91497b4479e0b3c
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-27_01:54:20
Locale: fi_FI
Comment 3 QA Administrators 2016-09-20 09:33:30 UTC Comment hidden (obsolete)
Comment 4 Thomas Lendo 2018-03-11 22:37:14 UTC
Still reproducible with Version: 6.1.0.0.alpha0+
Build ID: adc6ba2ad502f095dde8f36242fda9aaa6c276fd
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: group
Build from today
Comment 5 Maxim Monastirsky 2018-10-18 21:11:30 UTC
*** Bug 111706 has been marked as a duplicate of this bug. ***
Comment 6 QA Administrators 2019-10-19 02:41:40 UTC Comment hidden (obsolete, outdated)
Comment 7 Maxim Monastirsky 2020-05-23 19:27:50 UTC
*** Bug 133319 has been marked as a duplicate of this bug. ***
Comment 8 Heiko Tietze 2020-05-25 09:13:59 UTC
Users likely expect the color to be applied regardless the current filling type.

More ideally we switch UI control from color to gradient/bitmap/hatching- and that's exactly how the drawing toolbar works.

What we can do, alternatively to forcing the color fill type, is to disable the FillColor command if another type is applied. Both solution might fill wrong for some users and my take therefore is => WF. 

However, since we have some duplicates on this topic it's perhaps better to force the color. More opinions welcome.
Comment 9 Telesto 2020-05-25 21:09:02 UTC
(In reply to Heiko Tietze from comment #8)
> Users likely expect the color to be applied regardless the current filling
> type.
> 
> More ideally we switch UI control from color to gradient/bitmap/hatching-
> and that's exactly how the drawing toolbar works.
> 
> What we can do, alternatively to forcing the color fill type, is to disable
> the FillColor command if another type is applied. Both solution might fill
> wrong for some users and my take therefore is => WF. 
> 
> However, since we have some duplicates on this topic it's perhaps better to
> force the color. More opinions welcome.

There is already a multitude of issue with the fill button..it's flawed. It really can't replace Draw and fillings toolbar.. So, add it back below the standard toolbar. It's even workable on my 11 laptop... while the sidebar and page panel together is a no go.. so with page panel I can't really access the sidebar (and shape and color settings) 

So remove the fill buttons, and replace it with the toolbar..
And would also more consistent.. the tabbed toolbar has the draw in filling settings..
Comment 10 QA Administrators 2022-05-26 03:43:23 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug